# ACFVelocityUtil (ACF (Velocity) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: ACFVelocityUtil

Package co.aikar.commands

# Class ACFVelocityUtil

java.lang.Object
co.aikar.commands.ACFVelocityUtil

public class ACFVelocityUtil extends Object

## Constructor Summary

Constructors
Constructor
Description
`ACFVelocityUtil()`

## Method Summary

Modifier and Type
Method
Description
`static net.kyori.adventure.text.TextComponent`
`color(String message)`
`static com.velocitypowered.api.proxy.Player`
`findPlayerSmart(com.velocitypowered.api.proxy.ProxyServer server, co.aikar.commands.CommandIssuer issuer, String search)`
`static boolean`
`isValidName(@Nullable String name)`
`static <T> T`
`validate(T object, String message, Object... values)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ACFVelocityUtil

public ACFVelocityUtil()

## Method Details

### color

public static net.kyori.adventure.text.TextComponent color (String message)

### findPlayerSmart

public static com.velocitypowered.api.proxy.Player findPlayerSmart (com.velocitypowered.api.proxy.ProxyServer server, co.aikar.commands.CommandIssuer issuer, String search)

### isValidName

public static boolean isValidName (@Nullable @Nullable String name)

### validate

public static <T> T validate (T object, String message, Object... values)